Subject: Re: [Fot] steering wheel adaptor wanted

From: "R. John Lye" <[email-masked]>
Date: Wed, 01 Oct 2014 07:18:21 -0400

Having used both the hex style (well worn) and the precision spline style
quick releaseB  hubs, I'd give a strong suggestion to try the splined hub.
Although they no longer sell the version that I used, this is close:

https://www.pegasusautoracing.com/productdetails.asp?RecID=1056

In my opinion, the splined style fits better and feels less sloppy.

John

On Wed, 1 Oct 2014 03:42:54 +0000 (UTC), davehogye
<[email-masked]> wrote:
I'm pretty sure the quick release I used was a Moroso hex style
purchased through Summit.
> It slipped over the TR3 steering shaft without shortening it. I could
> even grind off the weld and put a stock wheel back on. I did take a
> little off the hex fitting to get the wheel closer to the dash trim.
> Just enough for comfortable finger clearance, yet extending my arms
> out as far as I could in the short TR3 space. I made a simple drawing
> of my adapter and a friend machined it. It's very trick, but it has
> thickness of 3/4"-1", if I remember correctly. I could have
> eliminated the need the take material of the hex adaptor had I used a
> piece of sheet. I've seen simple adaptors made of aluminum, say 1/8"
> thick. Easy enough to work without the need of a lathe. The hex
> adaptor does have a bit of play in it, but there are more precision
> spline types available. Get the quick release first. Then figure out
> the rest. Dave H. ----- Original Message -----
>
> From: "Washatko, Allen" <[email-masked]> To: "Enquiries Road &
> Track" <[email-masked]> Cc: "Friends of Triumph"
> <[email-masked]> Sent: Tuesday, September 30, 2014 6:33:19 PM
> Subject: Re: [Fot] steering wheel adaptor wanted Buy the quick
> release hub from Pegasus and then have an aluminum adaptor plate made
> to mate the steering wheel and hub. You will also need to shorten the
> steering shaft to accept the male end of the quick release hex end.
> Allen On Sep 30, 2014, at 6:02 AM, Enquiries Road & Track wrote: >
> i'm chasing a sports steering wheel adaptor for a TR4-6 or Spitfire/
> > GT6. > All the ones i can find locally and on fleabay are very
> tall, like > 3"- 3.5" > . I want something much flatter so i can also
> add a quick release > device . > does anyone have something, or can
> refer me to a vendor? > > many thanks, Terry > Australia >
> _______________________________________________ > [email-masked]
> > > http://www.fot-racing.com > > Donate:
> http://www.team.net/donate.html > Archive:
> http://www.team.net/archive > Forums: http://www.team.net/forums >
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/fot/[email-masked] > >
> Allen & Jody Washatko 1971 TR6 - Number 6
> _______________________________________________ [email-masked]
> http://www.fot-racing.com Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive Forums:
> http://www.team.net/forums Unsubscribe/Manage:
> http://autox.team.net/mailman/options/fot/[email-masked]
> _______________________________________________
> [email-masked]
>
> http://www.fot-racing.com
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/fot/[email-masked]
>
>
>

  --
Thanks,
John

[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive